### Enumeration

# Gimp IconType

unstable since: 3.0

#### Declaration

    enum Gimp.IconType

#### Description [src]

Icon types for plug-ins to register.

Available since: 3.0

#### Members

`GIMP_ICON_TYPE_ICON_NAME`

  Icon name.

  - Value: `0`
  - Nickname: `icon-name`
  - Available since: 3.0
`GIMP_ICON_TYPE_PIXBUF`

  Inline pixbuf.

  - Value: `1`
  - Nickname: `pixbuf`
  - Available since: 3.0
`GIMP_ICON_TYPE_IMAGE_FILE`

  Image file.

  - Value: `2`
  - Nickname: `image-file`
  - Available since: 3.0